package com.engine.kq.wfset.attendance.domain;

/**
 * 字段对应配置
 * @author wcd
 * @version 1.0 2015-04-24
 */
public class HrmAttProcRelation {

	private Long id;
	private Long mfid;
  /**
   * 对应hrm_att_proc_set的id字段
   */
	private Integer field001;
  /**
   * 对应hrm_att_proc_fields的id字段
   */
	private Integer field002;
  /**
   * 对应workflow_billfield的id字段
   */
	private Integer field003;
  /**
   * 对应workflow_billfield的fieldname字段
   */
	private String field004;
	private Integer field005;
	private String field006;

	public HrmAttProcRelation() {
		this(true);
	}

	public HrmAttProcRelation(boolean arg) {
		if(arg) init();
	}

	public void init() {
		this.id = 0L;
		this.mfid = 0L;
		this.field001 = 0;
		this.field002 = 0;
		this.field003 = 0;
		this.field004 = "";
		this.field005 = 0;
		this.field006 = "";
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return id;
	}

	public void setMfid(Long mfid) {
		this.mfid = mfid;
	}

	public Long getMfid() {
		return mfid;
	}

	public void setField001(Integer field001) {
		this.field001 = field001;
	}

	public Integer getField001() {
		return field001;
	}

	public void setField002(Integer field002) {
		this.field002 = field002;
	}

	public Integer getField002() {
		return field002;
	}

	public void setField003(Integer field003) {
		this.field003 = field003;
	}

	public Integer getField003() {
		return field003;
	}

	public void setField004(String field004) {
		this.field004 = field004;
	}

	public String getField004() {
		return field004;
	}
	
	public Integer getField005() {
		return field005;
	}

	public void setField005(Integer field005) {
		this.field005 = field005;
	}

	public String getField006() {
		return field006;
	}

	public void setField006(String field006) {
		this.field006 = field006;
	}

	public String getSql() {
		return new StringBuffer("select ")
		.append(mfid).append(",")
		.append(field001).append(",")
		.append(field002).append(",")
		.append(field003).append(",")
		.append("'").append(field004).append("'")
		.toString();
	}

}
